Package org.eclipse.e4.ui.workbench.swt.util

# Interface ISWTResourceUtilities

All Superinterfaces:
  `IResourceUtilities<ImageDescriptor>`

public interface ISWTResourceUtilities extends IResourceUtilities<ImageDescriptor>

## Method Summary

Modifier and Type
Method
Description
`Image`
`adornImage(Image toAdorn, Image adornment)`
Low-level utility to stamp an adornment onto a given Image.

### Methods inherited from interface org.eclipse.e4.ui.workbench.IResourceUtilities

`imageDescriptorFromURI`

## Method Details

### adornImage

Image adornImage(Image toAdorn, Image adornment)
Low-level utility to stamp an adornment onto a given Image.

Parameters:
  `toAdorn` - The image to be adorned (must not be null)
  `adornment` - The image to adorn with.
Returns:
  The adorned image or 'toAdorn' if 'adornment' is null